<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.server.ajp-listener">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-encoded-slash,allow-equals-in-cookie-value,allow-unescaped-characters-in-url,always-set-keep-alive,buffer-pipelined-data,buffer-pool,decode-url,disallowed-methods,enabled,max-ajp-packet-size,max-buffered-request-size,max-connections,max-cookies,max-header-size,max-headers,max-parameters,max-post-size,no-request-timeout,read-timeout,receive-buffer,record-request-start-time,redirect-socket,request-parse-timeout,resolve-peer-address,rfc6265-cookie-validation,scheme,secure,send-buffer,socket-binding,tcp-backlog,tcp-keep-alive,url-charset,worker,write-timeout"/>
        <elem name="addr-params" value="profile,subsystem,server,ajp-listener"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.listener.$ajp-listener"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
        <capability name="org.wildfly.network.socket-binding.$socket-binding"/>
        <capability name="$profile.org.wildfly.undertow.byte-buffer-pool.$buffer-pool" optional="true"/>
        <capability name="org.wildfly.network.socket-binding.$redirect-socket" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="disallowed-methods" nillable="true" type="List&lt;String&gt;"/>
        <param name="request-parse-timeout" nillable="true"/>
        <param name="send-buffer" nillable="true"/>
        <param name="read-timeout" nillable="true"/>
        <param name="scheme" nillable="true"/>
        <param name="allow-unescaped-characters-in-url" nillable="true"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="max-connections" nillable="true"/>
        <param name="tcp-backlog" nillable="true"/>
        <param name="resolve-peer-address" nillable="true"/>
        <param name="secure" nillable="true"/>
        <param name="enabled" nillable="true"/>
        <param name="max-buffered-request-size" nillable="true"/>
        <param name="receive-buffer" nillable="true"/>
        <param name="record-request-start-time" nillable="true"/>
        <param name="url-charset" nillable="true"/>
        <param name="max-parameters" nillable="true"/>
        <param name="redirect-socket" nillable="true"/>
        <param name="max-headers" nillable="true"/>
        <param name="allow-encoded-slash" nillable="true"/>
        <param name="tcp-keep-alive" nillable="true"/>
        <param name="worker" nillable="true" default="default"/>
        <param name="max-ajp-packet-size" nillable="true"/>
        <param name="no-request-timeout" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="allow-equals-in-cookie-value" nillable="true"/>
        <param name="buffer-pool" nillable="true" default="default"/>
        <param name="write-timeout" nillable="true"/>
        <param name="decode-url" nillable="true"/>
        <param name="max-post-size" nillable="true"/>
        <param name="socket-binding"/>
        <param name="max-header-size" nillable="true"/>
        <param name="rfc6265-cookie-validation" nillable="true"/>
        <param name="max-cookies" nillable="true"/>
        <param name="ajp-listener" feature-id="true"/>
        <param name="always-set-keep-alive" nillable="true"/>
        <param name="buffer-pipelined-data" nillable="true"/>
    </params>
</feature-spec>